commit: eb03ae441e3925083348ca155536660435598902
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 28 07:00:28 2018 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Nov 29 07:30:29 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb03ae44
dev-ruby/marcel: install proper gemspec
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
dev-ruby/marcel/marcel-0.3.3-r1.ebuild | 27 +++++++++++++++++++++++++++
1 file changed, 27 insertions(+)
diff --git a/dev-ruby/marcel/marcel-0.3.3-r1.ebuild
b/dev-ruby/marcel/marcel-0.3.3-r1.ebuild
new file mode 100644
index 00000000000..151ea3bdb35
--- /dev/null
+++ b/dev-ruby/marcel/marcel-0.3.3-r1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple mime type detection using magic numbers, filenames, and
extensions"
+HOMEPAGE="https://github.com/basecamp/marcel"
+SRC_URI="https://github.com/basecamp/marcel/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/mimemagic-0.3.2:0"
+
+all_ruby_prepare() {
+ sed -i -e '2irequire "pathname"' test/test_helper.rb || die
+}